'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                          All rights reserved.                              *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/FrmRelay.bas $
'*
'*      $Id: FrmRelay.bas 1.2 2000/02/28 23:55:39 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports defined constants for the Frame Relay layer.
'*
'******************************************************************************

Attribute VB_Name = "FrmRelayModule"

Public Const frm_TIMER_T1_KEEP_ALIVE As Integer = 0
Public Const frm_TIMER_T2_VERIFICATION As Integer = 1
Public Const frm_TIMER_MAX As Integer = 2

Public Const frm_TIMER_VC_CONGESTION As Integer = 0
Public Const frm_TIMER_VC_MAX As Integer = 1

Public Const frm_MGMT_SIGNALING_NONE As Integer = 0
Public Const frm_MGMT_SIGNALING_LMI As Integer = 1
Public Const frm_MGMT_SIGNALING_ANNEX_D As Integer = 2
Public Const frm_MGMT_SIGNALING_MAX As Integer = 3

Public Const frm_IOCTL_VC_SET_DE_BIT As Integer = 0
Public Const frm_IOCTL_VC_CLEAR_DE_BIT As Integer = 1
Public Const frm_IOCTL_VC_MAX As Integer = 2

Public Const frm_STAT_FRAME_TOO_SHORT As Integer = 0
Public Const frm_STAT_FRAME_TOO_LONG As Integer = 1
Public Const frm_STAT_FRAME_INVALID_HEADER As Integer = 2
Public Const frm_STAT_FRAME_ON_UNASSIGNED_DLCI As Integer = 3
Public Const frm_STAT_HEARTBEATS_SENT As Integer = 4
Public Const frm_STAT_HEARTBEATS_RECEIVED As Integer = 5
Public Const frm_STAT_LINK_INTEGRITY_ERRORS As Integer = 6
Public Const frm_STAT_LINK_INTEGRITY_ALARMS As Integer = 7
Public Const frm_STAT_LINK_INTEGRITY_INVALID_FRAMES As Integer = 8
Public Const frm_STAT_MAX As Integer = 9


Public Const frm_STAT_VC_FRAMES_SENT As Integer = 0
Public Const frm_STAT_VC_FRAMES_RECEIVED As Integer = 1
Public Const frm_STAT_VC_BECN_BIT_SET As Integer = 2
Public Const frm_STAT_VC_FECN_BIT_SET As Integer = 3
Public Const frm_STAT_VC_CONGESTION_CONTROL As Integer = 4
Public Const frm_STAT_VC_MAX As Integer = 5

Public Const frm_MSG_MAX As Integer = 0

'******************************************************************************
'*                                  End of file
'******************************************************************************
