'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                          All rights reserved.                              *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/Lapd.bas $
'*
'*      $Id: Lapd.bas 1.2 2000/02/28 23:55:40 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports defined constants for the LAPD layer.
'*
'******************************************************************************

Attribute VB_Name = "LapdModule"

Public Const lapd_TIMER_T200_NO_RESPONSE As Integer = 0
Public Const lapd_TIMER_T201_TEI_CHECK As Integer = 1
Public Const lapd_TIMER_T202_TEI_REQUEST As Integer = 2
Public Const lapd_TIMER_T203_NO_TRAFFIC As Integer = 3
Public Const lapd_TIMER_ACKNOWLEDGE As Integer = 4

Public Const lapd_STAT_TEI_T200_TIMEOUTS As Integer = 0
Public Const lapd_STAT_TEI_T203_TIMEOUTS As Integer = 1
Public Const lapd_STAT_TEI_INVALID_SAPI As Integer = 2
Public Const lapd_STAT_TEI_TX_I As Integer = 3
Public Const lapd_STAT_TEI_TX_RR As Integer = 4
Public Const lapd_STAT_TEI_TX_RNR As Integer = 5
Public Const lapd_STAT_TEI_TX_REJ As Integer = 6
Public Const lapd_STAT_TEI_TX_SABME As Integer = 7
Public Const lapd_STAT_TEI_TX_DISC As Integer = 8
Public Const lapd_STAT_TEI_TX_DM As Integer = 9
Public Const lapd_STAT_TEI_TX_UA As Integer = 10
Public Const lapd_STAT_TEI_TX_UI As Integer = 11
Public Const lapd_STAT_TEI_TX_XID As Integer = 12
Public Const lapd_STAT_TEI_TX_FRMR As Integer = 13
Public Const lapd_STAT_TEI_RX_I As Integer = 14
Public Const lapd_STAT_TEI_RX_RR As Integer = 15
Public Const lapd_STAT_TEI_RX_RNR As Integer = 16
Public Const lapd_STAT_TEI_RX_REJ As Integer = 17
Public Const lapd_STAT_TEI_RX_SABME As Integer = 18
Public Const lapd_STAT_TEI_RX_DISC As Integer = 19
Public Const lapd_STAT_TEI_RX_DM As Integer = 20
Public Const lapd_STAT_TEI_RX_UA As Integer = 21
Public Const lapd_STAT_TEI_RX_UI As Integer = 22
Public Const lapd_STAT_TEI_RX_XID As Integer = 23
Public Const lapd_STAT_TEI_RX_FRMR As Integer = 24
Public Const lapd_STAT_TEI_MAX As Integer = 25

Public Const lapd_STAT_INVALID_FRAME As Integer = 0
Public Const lapd_STAT_INVALID_TEI As Integer = 1
Public Const lapd_STAT_CONTINUITY_MESSAGE As Integer = 2
Public Const lapd_STAT_MAX As Integer = 3

Public Const lapd_IOCTL_ASSIGN_TEI As Integer = 0
Public Const lapd_IOCTL_RELEASE_TEI As Integer = 1
Public Const lapd_IOCTL_CONTINUITY_CHECK As Integer = 2
Public Const lapd_IOCTL_MAX As Integer = 3

Public Const lapd_MSG_MAX As Integer = 0

'******************************************************************************
'*                                  End of file
'******************************************************************************
