'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                          All rights reserved.                              *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/X25.bas $
'*
'*      $Id: X25.bas 1.2 2000/02/28 23:55:40 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports defined constants for the X.25 layer.
'*
'******************************************************************************

Attribute VB_Name = "X25Module"

Public Const pkt_D_BIT As Integer = 1
Public Const pkt_M_BIT As Integer = 2
Public Const pkt_Q_BIT As Integer = 4

Public Const pkt_TIMER_T20_RESTART As Integer = 0
Public Const pkt_TIMER_T28_REGISTRATION As Integer = 1
Public Const pkt_TIMER_MAX As Integer = 2

Public Const pkt_TIMER_T21_CALL As Integer = 0
Public Const pkt_TIMER_T22_RESET As Integer = 1
Public Const pkt_TIMER_T23_CLEAR As Integer = 2
Public Const pkt_TIMER_T24_WINDOW_STATUS As Integer = 3
Public Const pkt_TIMER_T25_WINDOW_ROTATION As Integer = 4
Public Const pkt_TIMER_VC_MAX As Integer = 5

Public Const pkt_IOCTL_DEBUG_WRITE As Integer = 0
Public Const pkt_IOCTL_MAX As Integer = 1

Public Const pkt_IOCTL_SEND_INTERRUPT As Integer = 0
Public Const pkt_IOCTL_SEND_INTERRUPT_CONFIRMATION As Integer = 1
Public Const pkt_IOCTL_REQUEST_RESTART As Integer = 2
Public Const pkt_IOCTL_VC_MAX As Integer = 3

Public Const pkt_STAT_PACKET_TOO_SHORT As Integer = 0
Public Const pkt_STAT_INVALID_GFI As Integer = 1
Public Const pkt_STAT_PACKET_ON_UNASSIGNED_LOGICAL_CHANNEL As Integer = 2
Public Const pkt_STAT_MAX As Integer = 3

Public Const pkt_STAT_DATA_SENT As Integer = 0
Public Const pkt_STAT_RR_SENT As Integer = 1
Public Const pkt_STAT_RNR_SENT As Integer = 2
Public Const pkt_STAT_RESETS_SENT As Integer = 3
Public Const pkt_STAT_DATA_RECEIVED As Integer = 4
Public Const pkt_STAT_RR_RECEIVED As Integer = 5
Public Const pkt_STAT_RNR_RECEIVED As Integer = 6
Public Const pkt_STAT_RESETS_RECEIVED As Integer = 7
Public Const pkt_STAT_UNKNOWN_PACKETS As Integer = 8
Public Const pkt_STAT_VC_MAX As Integer = 9

Public Const pkt_MSG_DIAGNOSTIC As Integer = 0
Public Const pkt_MSG_INTERRUPT As Integer = 1
Public Const pkt_MSG_INTERRUPT_CONFIRMATION As Integer = 2
Public Const pkt_MSG_MAX As Integer = 3

'******************************************************************************
'*                                  End of file
'******************************************************************************
