'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                           All rights reserved.                             *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/VbTdat.frm $
'*
'*      $Id: VbTdat.frm 1.2 2000/02/29 00:00:10 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports Send Test Data dialog box.
'*
'******************************************************************************
VERSION 5.00
Begin VB.Form TdatDialog
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Send Test Data"
   ClientHeight    =   3150
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   6150
   Icon            =   "VbTdat.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3150
   ScaleWidth      =   6150
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.ListBox FrameList
      Height          =   2205
      ItemData        =   "VbTdat.frx":0442
      Left            =   248
      List            =   "VbTdat.frx":0444
      TabIndex        =   3
      Top             =   240
      Width           =   5655
   End
   Begin VB.CommandButton ViewButton
      Caption         =   "View"
      Height          =   375
      Left            =   2468
      TabIndex        =   2
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton CancelButton
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4448
      TabIndex        =   1
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton SendButton
      Caption         =   "Send"
      Height          =   375
      Left            =   488
      TabIndex        =   0
      Top             =   2640
      Width           =   1215
   End
End
Attribute VB_Name = "TdatDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub Form_Load()
    Dim i As Integer

    For i = 0 To TdatGetCount() - 1
        FrameList.AddItem TdatGetLabel(i), i
    Next

    FrameList.ListIndex = 0
End Sub

Private Sub CancelButton_Click()
    Unload Me
End Sub

Private Sub SendButton_Click()
    Dim i As Integer

    i = FrameList.ListIndex

    If i > -1 And i < TdatGetCount() Then
        MainForm.QueueTestFrame (i)
    End If
End Sub

Private Sub ViewButton_Click()
    Dim i As Integer

    i = FrameList.ListIndex

    If -1 < i And i < TdatGetCount() Then
        TextDialog.caption = "Test Data Frame"
        TextDialog.ClearText
        TextDialog.AddText "Frame '" & TdatGetLabel(i) & "'" & vbCrLf & vbCrLf
        TextDialog.AddText HexFormat(TdatGetFrame(i), UBound(TdatGetFrame(i)) + 1, 16)
        TextDialog.Show 1
    End If
End Sub

'******************************************************************************
'*                                  End of file                               *
'******************************************************************************
