'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                           All rights reserved.                             *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/VbText.frm $
'*
'*      $Id: VbText.frm 1.2 2000/02/29 00:00:11 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports text display dialog box.
'*
'******************************************************************************
VERSION 5.00
Begin VB.Form TextDialog
   BorderStyle     =   3  'Fixed Dialog
   ClientHeight    =   5616
   ClientLeft      =   2760
   ClientTop       =   3756
   ClientWidth     =   7428
   Icon            =   "VbText.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5616
   ScaleWidth      =   7428
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox TextText
      BeginProperty Font
         Name            =   "Courier New"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4575
      Left            =   210
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   240
      Width           =   6972
   End
   Begin VB.CommandButton OKButton
      Caption         =   "OK"
      Height          =   375
      Left            =   3107
      TabIndex        =   0
      Top             =   5040
      Width           =   1215
   End
End
Attribute VB_Name = "TextDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub OKButton_Click()
    Unload Me
End Sub

Public Sub AddText(text As String)
    TextText.text = TextText.text & text
End Sub

Public Sub ClearText()
    TextText.text = ""
End Sub

Public Function AddFile(file As String) As Boolean
    Dim n As Integer
    On Error GoTo OpenErrorHandler

    n = FreeFile()
    Open file For Input As n

    On Error GoTo InputErrorHandler

    TextText.text = Input(LOF(n), #n)
    Close #n

    AddFile = True
    Exit Function

OpenErrorHandler:
    AddFile = False
    Exit Function
InputErrorHandler:
    Close #n
    AddFile = False
    Exit Function
End Function

'******************************************************************************
'*                                  End of file                               *
'******************************************************************************
