'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                          All rights reserved.                              *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/Lapb.bas $
'*
'*      $Id: Lapb.bas 1.2 2000/02/28 23:55:39 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports defined constants for the HDLC LAPB layer.
'*
'******************************************************************************

Attribute VB_Name = "LapbModule"

Public Const lapb_TIMER_T1_RETRANSMIT As Integer = 0
Public Const lapb_TIMER_T1_ALTERNATE As Integer = 1
Public Const lapb_TIMER_T2_ACKNOWLEDGE As Integer = 2
Public Const lapb_TIMER_T4_NO_TRAFFIC As Integer = 3
Public Const lapb_TIMER_MAX As Integer = 4

Public Const lapb_STAT_T1_TIMEOUTS As Integer = 0
Public Const lapb_STAT_T2_TIMEOUTS As Integer = 1
Public Const lapb_STAT_T4_TIMEOUTS As Integer = 2
Public Const lapb_STAT_I_FRAME_SENT As Integer = 3
Public Const lapb_STAT_RR_SENT As Integer = 4
Public Const lapb_STAT_RNR_SENT As Integer = 5
Public Const lapb_STAT_REJ_SENT As Integer = 6
Public Const lapb_STAT_SABM_SENT As Integer = 7
Public Const lapb_STAT_DISC_SENT As Integer = 8
Public Const lapb_STAT_DM_SENT As Integer = 9
Public Const lapb_STAT_UA_SENT As Integer = 10
Public Const lapb_STAT_FRMR_SENT As Integer = 11
Public Const lapb_STAT_I_FRAME_RECV As Integer = 12
Public Const lapb_STAT_RR_RECV As Integer = 13
Public Const lapb_STAT_RNR_RECV As Integer = 14
Public Const lapb_STAT_REJ_RECV As Integer = 15
Public Const lapb_STAT_SABM_RECV As Integer = 16
Public Const lapb_STAT_DISC_RECV As Integer = 17
Public Const lapb_STAT_DM_RECV As Integer = 18
Public Const lapb_STAT_UA_RECV As Integer = 19
Public Const lapb_STAT_FRMR_RECV As Integer = 20
Public Const lapb_STAT_INVALID_FRAMES As Integer = 21
Public Const lapb_STAT_IMPOSSIBLE_FRAMES As Integer = 22
Public Const lapb_STAT_RETRANSMIT_FAILURES As Integer = 23
Public Const lapb_STAT_MAX As Integer = 24

Public Const lapb_IOCTL_MAX As Integer = 0

Public Const lapb_MSG_MAX As Integer = 0

'******************************************************************************
'*                                  End of file
'******************************************************************************
