'******************************************************************************
'*                                                                            *
'*                                LayGO (tm)                                  *
'*           Copyright (c) 1998-2000 by Advanced Relay Corporation            *
'*                           All rights reserved.                             *
'*                                                                            *
'******************************************************************************
'*
'*  $Source: q:/laygorcs/VbTdrv.frm $
'*
'*      $Id: VbTdrv.frm 1.2 2000/02/29 00:00:11 tiktin Release $
'*
'*  MODULE DESCRIPTION
'*
'*    Exports main VbTdrv display.
'*
'******************************************************************************
VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form MainForm
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VbTdrv - Closed"
   ClientHeight    =   7416
   ClientLeft      =   48
   ClientTop       =   624
   ClientWidth     =   10980
   Icon            =   "VbTdrv.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7416
   ScaleWidth      =   10980
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame11
      Caption         =   "Session Log"
      Height          =   3660
      Left            =   96
      TabIndex        =   14
      Top             =   3648
      Width           =   8382
      Begin MSComDlg.CommonDialog LoadTestDataDialog
         Left            =   2160
         Top             =   1200
         _ExtentX        =   677
         _ExtentY        =   677
         _Version        =   393216
         CancelError     =   -1  'True
         DialogTitle     =   "Load Test Data"
         Filter          =   "All Files (*.*)|*.*|Test Data Files (*.dat)|*.dat"
         FilterIndex     =   2
         Flags           =   6156
      End
      Begin VB.PictureBox LedDark
         AutoSize        =   -1  'True
         Height          =   252
         Left            =   5040
         Picture         =   "VbTdrv.frx":0442
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   42
         Top             =   1440
         Visible         =   0   'False
         Width           =   252
      End
      Begin VB.PictureBox LedGray
         AutoSize        =   -1  'True
         Height          =   252
         Left            =   5520
         Picture         =   "VbTdrv.frx":04E5
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   41
         Top             =   1440
         Visible         =   0   'False
         Width           =   252
      End
      Begin VB.PictureBox LedRed
         AutoSize        =   -1  'True
         Height          =   252
         Left            =   4080
         Picture         =   "VbTdrv.frx":0587
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   40
         Top             =   1440
         Visible         =   0   'False
         Width           =   252
      End
      Begin VB.PictureBox LedGreen
         AutoSize        =   -1  'True
         Height          =   252
         Left            =   4560
         Picture         =   "VbTdrv.frx":0635
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   39
         Top             =   1440
         Visible         =   0   'False
         Width           =   252
      End
      Begin MSComDlg.CommonDialog ConfigureDialog
         Left            =   2880
         Top             =   1200
         _ExtentX        =   847
         _ExtentY        =   847
         _Version        =   393216
         CancelError     =   -1  'True
         DialogTitle     =   "Load Configuration"
         Filter          =   "All Files (*.*)|*.*|Configuration Files (*.cfg)|*.cfg"
         FilterIndex     =   2
         Flags           =   6156
      End
      Begin VB.Timer UpdateTimer
         Enabled         =   0   'False
         Interval        =   100
         Left            =   1320
         Top             =   1200
      End
      Begin VB.TextBox SessionLog
         BeginProperty Font
            Name            =   "Courier New"
            Size            =   9
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   3200
         Left            =   120
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   22
         Top             =   288
         Width           =   8140
      End
   End
   Begin VB.Frame Frame10
      Caption         =   "Operations"
      Height          =   5292
      Left            =   8544
      TabIndex        =   13
      Top             =   2016
      Width           =   2340
      Begin VB.CommandButton OpClose
         Caption         =   "Close"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   32
         Top             =   4800
         Width           =   2148
      End
      Begin VB.CommandButton OpReopen
         Caption         =   "Reopen"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   31
         Top             =   4296
         Width           =   2148
      End
      Begin VB.CommandButton OpFullDuplex
         Caption         =   "Full Duplex"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   30
         Top             =   3795
         Width           =   2148
      End
      Begin VB.CommandButton OpSend
         Caption         =   "Send"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   29
         Top             =   3294
         Width           =   2148
      End
      Begin VB.CommandButton OpListenCancel
         Caption         =   "Listen Cancel"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   28
         Top             =   2793
         Width           =   2148
      End
      Begin VB.CommandButton OpListen
         Caption         =   "Listen"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   27
         Top             =   2292
         Width           =   2148
      End
      Begin VB.CommandButton OpDisconnect
         Caption         =   "Disconnect"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   26
         Top             =   1791
         Width           =   2148
      End
      Begin VB.CommandButton OpConnect
         Caption         =   "Connect"
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   25
         Top             =   1290
         Width           =   2148
      End
      Begin VB.CommandButton OpConfigure
         Caption         =   "Configure..."
         Enabled         =   0   'False
         Height          =   372
         Left            =   96
         TabIndex        =   24
         Top             =   789
         Width           =   2148
      End
      Begin VB.CommandButton OpOpen
         Caption         =   "Open"
         Height          =   372
         Left            =   96
         TabIndex        =   23
         Top             =   288
         Width           =   2148
      End
   End
   Begin VB.Frame Frame9
      Caption         =   "Vtx"
      Height          =   636
      Left            =   4320
      TabIndex        =   12
      Top             =   2976
      Width           =   4164
      Begin VB.CheckBox OpUseVtx
         Caption         =   "Use Verified Transmission"
         Height          =   300
         Left            =   960
         TabIndex        =   43
         Top             =   240
         Width           =   2196
      End
   End
   Begin VB.Frame Frame8
      Caption         =   "Frame Size"
      Height          =   636
      Left            =   96
      TabIndex        =   11
      Top             =   2976
      Width           =   4164
      Begin VB.ComboBox OpFrameSize
         Height          =   288
         Left            =   120
         Style           =   2  'Dropdown List
         TabIndex        =   15
         Top             =   240
         Width           =   3948
      End
   End
   Begin VB.Frame Frame7
      Caption         =   "Receive"
      Height          =   900
      Left            =   4320
      TabIndex        =   10
      Top             =   2016
      Width           =   4164
      Begin VB.Label RxBytes
         Alignment       =   1  'Right Justify
         Caption         =   "0"
         Height          =   252
         Left            =   1560
         TabIndex        =   38
         Top             =   528
         Width           =   2316
      End
      Begin VB.Label LabelRxBytes
         Alignment       =   1  'Right Justify
         Caption         =   "Bytes:"
         Height          =   252
         Left            =   120
         TabIndex        =   37
         Top             =   528
         Width           =   1212
      End
      Begin VB.Label RxFrames
         Alignment       =   1  'Right Justify
         Caption         =   "0"
         Height          =   252
         Left            =   1560
         TabIndex        =   36
         Top             =   264
         Width           =   2316
      End
      Begin VB.Label LabelRxFrames
         Alignment       =   1  'Right Justify
         Caption         =   "Frames:"
         Height          =   252
         Left            =   120
         TabIndex        =   35
         Top             =   264
         Width           =   1212
      End
   End
   Begin VB.Frame Frame6
      Caption         =   "Send"
      Height          =   900
      Left            =   96
      TabIndex        =   9
      Top             =   2016
      Width           =   4164
      Begin VB.Label LabelTxFrames
         Alignment       =   1  'Right Justify
         Caption         =   "Frames:"
         Height          =   252
         Left            =   240
         TabIndex        =   45
         Top             =   288
         Width           =   1212
      End
      Begin VB.Label LabelTxBytes
         Alignment       =   1  'Right Justify
         Caption         =   "Bytes:"
         Height          =   204
         Left            =   240
         TabIndex        =   44
         Top             =   576
         Width           =   1212
      End
      Begin VB.Label TxBytes
         Alignment       =   1  'Right Justify
         Caption         =   "0"
         Height          =   252
         Left            =   2040
         TabIndex        =   34
         Top             =   576
         Width           =   1860
      End
      Begin VB.Label TxFrames
         Alignment       =   1  'Right Justify
         Caption         =   "0"
         Height          =   252
         Left            =   2040
         TabIndex        =   33
         Top             =   288
         Width           =   1860
      End
   End
   Begin VB.Frame Frame5
      Caption         =   "Signals"
      Height          =   1095
      Left            =   96
      TabIndex        =   8
      Top             =   864
      Width           =   10775
      Begin VB.PictureBox LedFlg
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   204
         Left            =   9744
         Picture         =   "VbTdrv.frx":06E3
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   21
         Top             =   360
         Width           =   204
      End
      Begin VB.PictureBox LedCts
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   204
         Left            =   7941
         Picture         =   "VbTdrv.frx":0786
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   20
         Top             =   360
         Width           =   204
      End
      Begin VB.PictureBox LedDsr
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   204
         Left            =   6142
         Picture         =   "VbTdrv.frx":0829
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   19
         Top             =   360
         Width           =   204
      End
      Begin VB.PictureBox LedDcd
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   204
         Left            =   4343
         Picture         =   "VbTdrv.frx":08CC
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   18
         Top             =   360
         Width           =   204
      End
      Begin VB.PictureBox LedRts
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   204
         Left            =   2544
         Picture         =   "VbTdrv.frx":096F
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   17
         Top             =   360
         Width           =   204
      End
      Begin VB.PictureBox LedDtr
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   204
         Left            =   745
         Picture         =   "VbTdrv.frx":0A12
         ScaleHeight     =   204
         ScaleWidth      =   204
         TabIndex        =   16
         Top             =   360
         Width           =   204
      End
      Begin VB.Label LabelDtr
         Alignment       =   2  'Center
         Caption         =   "DTR"
         Height          =   255
         Left            =   600
         TabIndex        =   51
         Top             =   672
         Width           =   495
      End
      Begin VB.Label RtsLabel
         Alignment       =   2  'Center
         Caption         =   "RTS"
         Height          =   255
         Left            =   2400
         TabIndex        =   50
         Top             =   672
         Width           =   495
      End
      Begin VB.Label LabelDcd
         Alignment       =   2  'Center
         Caption         =   "DCD"
         Height          =   255
         Left            =   4200
         TabIndex        =   49
         Top             =   672
         Width           =   495
      End
      Begin VB.Label LabelDsr
         Alignment       =   2  'Center
         Caption         =   "DSR"
         Height          =   255
         Left            =   6000
         TabIndex        =   48
         Top             =   672
         Width           =   495
      End
      Begin VB.Label LabelCts
         Alignment       =   2  'Center
         Caption         =   "CTS"
         Height          =   255
         Left            =   7800
         TabIndex        =   47
         Top             =   672
         Width           =   495
      End
      Begin VB.Label LabelFlg
         Alignment       =   2  'Center
         Caption         =   "FLG"
         Height          =   252
         Left            =   9600
         TabIndex        =   46
         Top             =   672
         Width           =   492
      End
   End
   Begin VB.Frame Frame4
      Caption         =   "State"
      Height          =   684
      Left            =   7584
      TabIndex        =   4
      Top             =   96
      Width           =   3290
      Begin VB.Label State
         Alignment       =   2  'Center
         Caption         =   "Closed"
         Height          =   204
         Left            =   48
         TabIndex        =   7
         Top             =   288
         Width           =   3156
      End
   End
   Begin VB.Frame Frame3
      Caption         =   "Elapsed Time"
      Height          =   684
      Left            =   5088
      TabIndex        =   3
      Top             =   96
      Width           =   2412
      Begin VB.Label ElapsedTime
         Alignment       =   2  'Center
         Caption         =   "00:00:00:00"
         Height          =   204
         Left            =   48
         TabIndex        =   6
         Top             =   288
         Width           =   2316
      End
   End
   Begin VB.Frame Frame2
      Caption         =   "Start Time"
      Height          =   684
      Left            =   2592
      TabIndex        =   2
      Top             =   96
      Width           =   2412
      Begin VB.Label StartTime
         Alignment       =   2  'Center
         Caption         =   "00/00/00 00:00:00"
         Height          =   204
         Left            =   96
         TabIndex        =   5
         Top             =   288
         Width           =   2244
      End
   End
   Begin VB.Frame Frame1
      Caption         =   "Line Number"
      Height          =   684
      Left            =   96
      TabIndex        =   0
      Top             =   96
      Width           =   2412
      Begin VB.ComboBox OpLineNumber
         Height          =   288
         ItemData        =   "VbTdrv.frx":0AB5
         Left            =   120
         List            =   "VbTdrv.frx":0AB7
         Style           =   2  'Dropdown List
         TabIndex        =   1
         Top             =   240
         Width           =   2148
      End
   End
   Begin VB.Line FrameLine
      BorderStyle     =   6  'Inside Solid
      BorderWidth     =   2
      X1              =   0
      X2              =   11880
      Y1              =   0
      Y2              =   0
   End
   Begin VB.Menu FileMenu
      Caption         =   "&File"
      Begin VB.Menu OpExit
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu LogMenu
      Caption         =   "&Log"
      Begin VB.Menu OpLogNone
         Caption         =   "None"
      End
      Begin VB.Menu OpLogMinimal
         Caption         =   "Minimal"
      End
      Begin VB.Menu OpLogNormal
         Caption         =   "Normal"
         Checked         =   -1  'True
      End
      Begin VB.Menu OpLogVerbose
         Caption         =   "Verbose"
      End
      Begin VB.Menu Separator1
         Caption         =   "-"
      End
      Begin VB.Menu OpLogClear
         Caption         =   "Clear Log"
      End
   End
   Begin VB.Menu StatisticsMenu
      Caption         =   "&Statistics"
      Begin VB.Menu OpStatistics
         Caption         =   "Statistics..."
         Enabled         =   0   'False
      End
      Begin VB.Menu OpStatusReport
         Caption         =   "Status Report..."
         Enabled         =   0   'False
      End
      Begin VB.Menu Separator2
         Caption         =   "-"
      End
      Begin VB.Menu OpClearStatistics
         Caption         =   "Clear Statistics"
         Enabled         =   0   'False
      End
      Begin VB.Menu Separator3
         Caption         =   "-"
      End
      Begin VB.Menu OpClearDisplay
         Caption         =   "Clear Display"
      End
   End
   Begin VB.Menu DataMenu
      Caption         =   "&Data"
      Begin VB.Menu OpLoadData
         Caption         =   "&Load Test Data..."
      End
      Begin VB.Menu Separator4
         Caption         =   "-"
      End
      Begin VB.Menu OpSendData
         Caption         =   "&Send Test Data..."
         Enabled         =   0   'False
      End
   End
   Begin VB.Menu HelpMenu
      Caption         =   "&Help"
      Begin VB.Menu OpHelpUsing
         Caption         =   "&Using VbTdrv..."
      End
      Begin VB.Menu Separator5
         Caption         =   "-"
      End
      Begin VB.Menu OpHelpAbout
         Caption         =   "&About VbTdrv..."
      End
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private vtLedDark As Picture
Private vtLedGray As Picture
Private vtLedOff As Picture
Private vtLedOn As Picture

Private Const vtLogMax As Long = &H10000
Private Const vtLogNew As Long = &H8000&

Private Const vtLogNone As Integer = 0
Private Const vtLogMinimal As Integer = 1
Private Const vtLogNormal As Integer = 2
Private Const vtLogVerbose As Integer = 3

Private Const vtBufferMin As Integer = 1024

Private vtInBuffer() As Byte
Private vtOutBuffer() As Byte

Private vtBufferMax As Integer
Private vtInitialized As Boolean
Private vtFullDuplex As Boolean
Private vtOpen As Boolean
Private vtRunning As Boolean
Private vtStartTime As Date
Private vtElapsedTime As Long
Private vtLineNumber As Integer
Private vtCid As Integer
Private vtFrameSize As Integer
Private vtLogMode As Integer
Private vtSend As Integer
Private vtState As Integer
Private vtUseVtx As Boolean

Private vtSignals As Long
Private vtSignalsCfg As Long

Private vtTxFrames As Long
Private vtRxFrames As Long
Private vtTxBytes As Long
Private vtRxBytes As Long

Private vtTdatCount As Integer
Private vtTdatFrame As Integer

'******************************************************************************
'*                              Public Operations
'******************************************************************************
Public Sub QueueTestFrame(i As Integer)
    vtTdatFrame = i
    vtSend = vtSend + 1
End Sub

'******************************************************************************
'*                              Form Event Handlers
'******************************************************************************
Private Sub Form_Load()
    Dim i As Integer
    Dim n As Integer

    vtInitialized = True
    vtOpen = False
    vtRunning = False
    vtLogMode = vtLogNormal
    vtTdatCount = 0
    vtTdatFrame = 0
    vtState = STATE_CLOSED

    LoadLedImages

    For i = 0 To 31
        OpLineNumber.AddItem i, i
    Next

    OpLineNumber.ListIndex = 0

    vtBufferMax = lgo_MaxBufferSize(-1)

    n = 2
    i = 0
    Do While n < vtBufferMax
        OpFrameSize.AddItem n, i
        n = n * 2
        i = i + 1
    Loop

    OpFrameSize.AddItem vtBufferMax, i

    ' Set default frame size as 128 or largest
    If i > 6 Then
        OpFrameSize.ListIndex = 6
    Else
        OpFrameSize.ListIndex = i
    End If

    OpUseVtx.Value = 1

    If vtBufferMax < vtBufferMin Then
        vtBufferMax = vtBufferMin
    End If

    VtxInitialize (CLng(vtBufferMax))

    ReDim vtInBuffer(vtBufferMax)
    ReDim vtOutBuffer(vtBufferMax)

    HexFill vtOutBuffer, 0, vtBufferMax, True
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim result As Integer

    If vtRunning Then
        ProcessStop
    End If

    If vtOpen Then
        result = lgo_Reopen(vtCid)
        result = lgo_Close(vtCid)
    End If

    If vtInitialized Then
        result = lgo_DisableStack()
        result = lgo_UninitializeStack()
    End If
End Sub

'******************************************************************************
'*                           Operation Event Handlers
'******************************************************************************
Private Sub OpClearDisplay_Click()
    ClearDisplay
End Sub

Private Sub OpClearStatistics_Click()
    Dim result As Integer

    result = lgo_ClearStatistics(vtCid)

    If result < 0 Then
        PostError "Failure clearing statistics on CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    End If
End Sub

Private Sub OpClose_Click()
    Dim result As Integer

    result = lgo_Close(vtCid)

    If result < 0 Then
        PostError "Failure closing CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    Else
        CloseNotify
    End If
End Sub

Private Sub OpConfigure_Click()
    Dim result As Integer

    On Error GoTo ErrHandler

    ConfigureDialog.ShowOpen

    result = lgo_LoadConfiguration(ConfigureDialog.fileName, PROTOCOL_X21_BIS, vtInBuffer(0), vtBufferMax)

    If result < 0 Then
        PostError "Failure loading configuration from '" & ConfigureDialog.fileName & "':" & vbCrLf & lgo_ErrorMessage(result) & "."
    Else
        result = lgo_SetConfiguration(vtCid, vtInBuffer(0), result)

        If result < 0 Then
            PostError "Failure configuring CID " & vtCid & ":" & vbCrLf & lgo_ErrorMessage(result) & "."
        Else
            PostInformation "CID " & vtCid & " configured from " & ConfigureDialog.fileName & "."
        End If
    End If
    Exit Sub

ErrHandler:
    Exit Sub
End Sub

Private Sub OpConnect_Click()
    Dim result As Integer

    result = lgo_ConnectRequest(vtCid, vbNullString, 0)

    If result < 0 Then
        PostError "Failure requesting connect on CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    Else
        ProcessStart False
    End If
End Sub

Private Sub OpDisconnect_Click()
    Dim result As Integer

    result = lgo_DisconnectRequest(vtCid, vbNullString, 0)

    If result < 0 Then
        PostError "Failure requesting disconnect on CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    Else
        UpdateState
    End If
End Sub

Private Sub OpExit_Click()
    Unload Me
End Sub

Private Sub OpFrameSize_Click()
    vtFrameSize = CInt(OpFrameSize.text)
End Sub

Private Sub OpFullDuplex_Click()
    vtFullDuplex = Not vtFullDuplex

    If vtFullDuplex Then
        OpDisconnect.Enabled = 0
        OpSend.Enabled = 0
        OpSendData.Enabled = 0
        OpReopen.Enabled = 0
    Else
        OpDisconnect.Enabled = 1
        OpSend.Enabled = 1
        If vtTdatCount > 0 Then
            OpSendData.Enabled = 1
        End If
        OpReopen.Enabled = 1
    End If
End Sub

Private Sub OpHelpAbout_Click()
    AboutDialog.Show 1
End Sub

Private Sub OpHelpUsing_Click()
    TextDialog.caption = "Using VbTdrv"
    TextDialog.AddText (GetUsingText())
    TextDialog.Show 1
End Sub

Private Sub OpLineNumber_Click()
    vtLineNumber = CInt(OpLineNumber.text)
End Sub

Private Sub OpListen_Click()
    Dim result As Integer

    result = lgo_Listen(vtCid)

    If result < 0 Then
        PostError "Failure listening on CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    Else
        ProcessStart True
    End If
End Sub

Private Sub OpListenCancel_Click()
    Dim result As Integer

    result = lgo_ListenCancel(vtCid)

    If result < 0 Then
        PostError "Failure canceling listen on CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    Else
        OpenNotify
    End If
End Sub

Private Sub OpLoadData_Click()
    Dim doLoad As Boolean
    Dim msg As String

    doLoad = True

    If vtTdatCount > 0 Then
        msg = "Test data frames are currently loaded from" & vbCrLf & _
                LoadTestDataDialog.fileName & "." & vbCrLf & _
                "These frames will be discarded if you load" & vbCrLf & _
                "frames from another file." & vbCrLf & vbCrLf & _
                "Are you sure you want to load frames from" & vbCrLf & _
                "another file?"

        doLoad = PostQuestion(msg)
    End If

    If doLoad Then
        On Error GoTo ErrHandler

        LoadTestDataDialog.ShowOpen

        vtTdatCount = TdatLoadFile(LoadTestDataDialog.fileName)

        If vtTdatCount > 0 Then
            PostInformation vtTdatCount & " test data frames loaded from '" & LoadTestDataDialog.fileName & "'"
            OpSendData.Enabled = OpSend.Enabled
        Else
            PostError "Failure loading test data from '" & LoadTestDataDialog.fileName & "'"
            OpSendData.Enabled = False
        End If
        Exit Sub
    End If

ErrHandler:
    Exit Sub
End Sub

Private Sub OpLogClear_Click()
    ClearLog
End Sub

Private Sub OpLogMinimal_Click()
    vtLogMode = vtLogMinimal

    OpLogNone.Checked = 0
    OpLogMinimal.Checked = 1
    OpLogNormal.Checked = 0
    OpLogVerbose.Checked = 0
End Sub

Private Sub OpLogNone_Click()
    vtLogMode = vtLogNone

    OpLogNone.Checked = 1
    OpLogMinimal.Checked = 0
    OpLogNormal.Checked = 0
    OpLogVerbose.Checked = 0
End Sub

Private Sub OpLogNormal_Click()
    vtLogMode = vtLogNormal

    OpLogNone.Checked = 0
    OpLogMinimal.Checked = 0
    OpLogNormal.Checked = 1
    OpLogVerbose.Checked = 0
End Sub

Private Sub OpLogVerbose_Click()
    vtLogMode = vtLogVerbose

    OpLogNone.Checked = 0
    OpLogMinimal.Checked = 0
    OpLogNormal.Checked = 0
    OpLogVerbose.Checked = 1
End Sub

Private Sub OpOpen_Click()
    vtCid = lgo_OpenProtocol(PROTOCOL_X21_BIS, vtLineNumber, 0)

    If vtCid < 0 Then
        PostError "Failure Opening line " & vtLineNumber & ": " & lgo_ErrorMessage(vtCid)
    Else
        Log "Line " & vtLineNumber & " Opened with CID " & vtCid
        caption = "VbTdrv - Line " & vtLineNumber
        SetAllLeds vtLedGray
        OpenNotify
    End If
End Sub

Private Sub OpReopen_Click()
    Dim result As Integer

    result = lgo_Reopen(vtCid)

    If result < 0 Then
        PostError "Failure reopening CID " & vtCid & ": " & lgo_ErrorMessage(vtCid)
    Else
        OpenNotify
        UpdateSignals
    End If
End Sub

Private Sub OpSend_Click()
    vtSend = vtSend + 1
End Sub

Private Sub OpSendData_Click()
    TdatDialog.Show 1
End Sub

Private Sub OpStatistics_Click()
    Dim table As String

    If GetStatisticsTable(vtCid, table) Then
        TextDialog.caption = "Statistics"
        TextDialog.ClearText
        TextDialog.AddText table
        TextDialog.Show 1
    Else
        PostError table
    End If
End Sub

Private Sub OpStatusReport_Click()
    Dim report As String

    If GetStatusReport(vtCid, report) Then
        TextDialog.caption = "Status Report"
        TextDialog.ClearText
        TextDialog.AddText report
        TextDialog.Show 1
    Else
        PostError report
    End If
End Sub

Private Sub OpUseVtx_Click()
    vtUseVtx = CBool(OpUseVtx.Value)
End Sub

'******************************************************************************
'*                            Session Log Operations
'******************************************************************************
Private Sub ClearLog()
    SessionLog.text = ""
End Sub

Private Sub Log(str As String)
    Dim s As String
    Dim i As Long

    If vtLogMode > 0 Then
        ' Truncate log if too long
        If Len(SessionLog.text) + Len(str) > vtLogMax Then
            s = Right(SessionLog.text, vtLogNew)
            i = InStr(s, Chr(10))
            If i > 0 Then
                s = Right(s, Len(s) - i)
            End If
            SessionLog.text = s
        End If

        SessionLog.text = SessionLog.text & str & vbCrLf
        SessionLog.SelStart = Len(SessionLog.text)
    End If
End Sub

Private Sub LogReceiveFrame(ByVal frame As Integer, ByVal result As Integer)
    Dim str As String
    Dim vtx As String
    Dim e As Integer

    If vtLogMode > 0 Then
        Select Case frame
        Case EVENT_DATA_OK
            str = "Good"
        Case EVENT_DATA_LENGTH_ERROR
            str = "Length Error"
        Case EVENT_DATA_CRC_ERROR
            str = "CRC Error"
        Case EVENT_DATA_ABORTED_FRAME
            str = "Abort"
        Case Else
            str = "Unknown"
        End Select

        If frame = EVENT_DATA_OK And vtUseVtx Then
            e = VtxValidateRx(vtInBuffer, CLng(result))
            If e < 0 Then
                vtx = " [Vtx Error: " & VtxErrorMessage(e) & "]"
            Else
                vtx = " [Vtx Good]"
            End If
        Else
            vtx = ""
        End If

        Log "> " & Format(result, "@@@@") & " : " & str & " " & vtx
        If vtLogMode <> vtLogMinimal Then
            If (vtLogMode = vtLogNormal) And (result > 16) Then
                result = 16
            End If
            Log HexFormat(vtInBuffer, result, 16)
        End If
    End If
End Sub

'******************************************************************************
'*                               LED Operations
'******************************************************************************
Private Sub LoadLedImages()
    Set vtLedDark = LedDark.Picture
    Set vtLedGray = LedGray.Picture
    Set vtLedOff = LedRed.Picture
    Set vtLedOn = LedGreen.Picture
End Sub

Private Sub SetLed(led As Object, pic As Picture)
    led.Picture = pic
End Sub

Private Sub SetAllLeds(pic As Picture)
    SetLed LedDtr, pic
    SetLed LedRts, pic
    SetLed LedDcd, pic
    SetLed LedDsr, pic
    SetLed LedCts, pic
    SetLed LedFlg, pic
End Sub

'******************************************************************************
'*                          Time Display Operations
'******************************************************************************
Private Sub SetElapsedTime()
    Dim caption As String
    Dim elapsed As Long

    elapsed = DateDiff("s", vtStartTime, Now())

    If elapsed <> vtElapsedTime Then
        caption = Format(elapsed \ 86400, "00") & ":"
        elapsed = elapsed Mod 86400
        caption = caption & Format(elapsed \ 3600, "00") & ":"
        elapsed = elapsed Mod 3600
        caption = caption & Format(elapsed \ 60, "00") & ":"
        elapsed = elapsed Mod 60
        caption = caption & Format(elapsed, "00")

        ElapsedTime.caption = caption
        vtElapsedTime = elapsed
    End If
End Sub

Private Sub ClearElapsedTime()
    vtElapsedTime = 0
    ElapsedTime.caption = "00:00:00:00"
End Sub

Private Sub SetStartTime()
    vtStartTime = Now()
    StartTime.caption = Format(vtStartTime, "mm/dd/yy hh:nn:ss")
End Sub

Private Sub ClearStartTime()
    StartTime.caption = "00/00/00 00:00:00"
End Sub

'******************************************************************************
'*                           Error Posting Operations
'******************************************************************************
Private Sub PostError(str As String)
    MsgBox str, vbOKOnly + vbExclamation, "Error"
End Sub

Private Sub PostInformation(str As String)
    MsgBox str, vbOKOnly + vbInformation, "Information"
End Sub

Private Function PostQuestion(str As String) As Boolean
    Dim answer As Integer

    answer = MsgBox(str, vbYesNoCancel + vbQuestion, "Question")

    If answer = vbYes Then
        PostQuestion = True
    Else
        PostQuestion = False
    End If
End Function

'******************************************************************************
'*                              Update Operations
'******************************************************************************
Private Sub UpdateSignals()
    Dim signals As Long
    Dim cfg As Long
    Dim change As Long

    If phys_GetSignals(vtCid, signals, cfg) Then

        If cfg <> vtSignalsCfg Then
            SignalCfgChange cfg, phys_SIGNAL_CTS, LedCts
            SignalCfgChange cfg, phys_SIGNAL_DCD, LedDcd
            SignalCfgChange cfg, phys_SIGNAL_DSR, LedDsr
            SignalCfgChange cfg, phys_SIGNAL_FLG, LedFlg
            SignalCfgChange cfg, phys_SIGNAL_RTS, LedRts
            SignalCfgChange cfg, phys_SIGNAL_DTR, LedDtr
            vtSignalsCfg = cfg
        End If

        change = (vtSignals Xor signals) And vtSignalsCfg

        If change <> 0 Then
            SignalChange change, phys_SIGNAL_CTS, LedCts
            SignalChange change, phys_SIGNAL_DCD, LedDcd
            SignalChange change, phys_SIGNAL_DSR, LedDsr
            SignalChange change, phys_SIGNAL_FLG, LedFlg
            SignalChange change, phys_SIGNAL_RTS, LedRts
            SignalChange change, phys_SIGNAL_DTR, LedDtr
        End If

        vtSignals = signals
    End If
End Sub

Private Sub SignalCfgChange(cfg As Long, signal As Long, led As Object)
    If (cfg And signal) = 0 Then
        SetLed led, vtLedGray
    ElseIf (vtSignals And signal) = 0 Then
        SetLed led, vtLedOff
    End If
End Sub

Private Sub SignalChange(change As Long, signal As Long, led As Object)
    If (change And signal) <> 0 Then
        If (vtSignals And signal) <> 0 Then
            SetLed led, vtLedOff
        Else
            SetLed led, vtLedOn
        End If
    End If
End Sub

Private Sub UpdateTx(size As Integer)
    On Error GoTo OverflowErrHandler

    vtTxBytes = vtTxBytes + size
    vtTxFrames = vtTxFrames + 1

    TxBytes.caption = vtTxBytes
    TxFrames.caption = vtTxFrames

    Exit Sub

OverflowErrHandler:
    vtTxBytes = 0
    vtTxFrames = 0
    Resume
End Sub

Private Sub UpdateRx(size As Integer)
    On Error GoTo OverflowErrHandler

    vtRxBytes = vtRxBytes + size
    vtRxFrames = vtRxFrames + 1

    RxBytes.caption = vtRxBytes
    RxFrames.caption = vtRxFrames

    Exit Sub

OverflowErrHandler:
    vtRxBytes = 0
    vtRxFrames = 0
    Resume
End Sub

Private Sub UpdateState()
    Dim current As Integer

    current = vtState
    vtState = lgo_State(vtCid)

    If vtState <> current Then
        State.caption = lgo_StateMessage(vtState)

        If vtState = STATE_DATA_TRANSFER_XON Then
                ConnectNotify
            ElseIf vtState = STATE_WAITING_FOR_REMOTE_CONFIRMATION Then
                DisconnectNotify
            ElseIf vtState = STATE_OPEN Then
                OpenNotify
        End If
    End If
End Sub

Private Sub ClearDisplay()
    vtTxBytes = 0
    vtRxBytes = 0
    vtTxFrames = 0
    vtRxFrames = 0
    TxFrames.caption = "0"
    RxFrames.caption = "0"
    TxBytes.caption = "0"
    RxBytes.caption = "0"
End Sub

'******************************************************************************
'*                           State Notify Operations
'******************************************************************************
Private Sub OpenNotify()
    ProcessStop

    OpOpen.Enabled = 0
    OpConfigure.Enabled = 1
    OpConnect.Enabled = 1
    OpDisconnect.Enabled = 0
    OpListen.Enabled = 1
    OpListenCancel.Enabled = 0
    OpSend.Enabled = 0
    OpSendData.Enabled = 0
    OpFullDuplex.Enabled = 0
    OpReopen.Enabled = 0
    OpClose.Enabled = 1

    OpLineNumber.Enabled = 0
    OpStatistics.Enabled = 1
    OpStatusReport.Enabled = 1
    OpClearStatistics.Enabled = 1

    UpdateState
    UpdateSignals

    vtOpen = True
End Sub

Private Sub CloseNotify()
    OpOpen.Enabled = 1
    OpConfigure.Enabled = 0
    OpConnect.Enabled = 0
    OpDisconnect.Enabled = 0
    OpListen.Enabled = 0
    OpListenCancel.Enabled = 0
    OpSend.Enabled = 0
    OpSendData.Enabled = 0
    OpFullDuplex.Enabled = 0
    OpReopen.Enabled = 0
    OpClose.Enabled = 0

    OpLineNumber.Enabled = 1
    OpStatistics.Enabled = 0
    OpStatusReport.Enabled = 0
    OpClearStatistics.Enabled = 0

    ClearElapsedTime
    ClearStartTime
    ClearDisplay
    ClearLog

    SetAllLeds vtLedDark
    UpdateState
    caption = "VbTdrv - Closed"

    vtOpen = False
End Sub

Private Sub ConnectNotify()
    OpDisconnect.Enabled = 1
    OpSend.Enabled = 1
    OpFullDuplex.Enabled = 1

    If vtTdatCount > 0 Then
        OpSendData.Enabled = 1
    End If
End Sub

Private Sub DisconnectNotify()
    OpDisconnect.Enabled = 0
    OpSend.Enabled = 0
    OpFullDuplex.Enabled = 0
    OpSendData.Enabled = 0
End Sub

'******************************************************************************
'*                              Process Operations
'******************************************************************************
Private Sub ProcessStart(listen As Boolean)
    OpConfigure.Enabled = 0
    OpConnect.Enabled = 0
    OpListen.Enabled = 0
    If listen Then
        OpListenCancel.Enabled = 1
    End If
    OpReopen.Enabled = 1
    OpClose.Enabled = 0

    vtSignals = 0
    vtSignalsCfg = 0
    SetAllLeds vtLedGray

    vtFullDuplex = False
    vtSend = 0
    vtTdatFrame = vtTdatCount
    VtxReset
    vtRunning = True

    ClearDisplay
    ClearLog
    ClearElapsedTime
    SetStartTime

    UpdateState
    UpdateSignals
    UpdateTimer.Enabled = True
End Sub

Private Sub ProcessState()
    Dim b As Boolean

    Select Case vtState
    Case STATE_WAITING_FOR_REMOTE_ACCEPT, STATE_LISTENING, STATE_RESETTING, STATE_WAITING_FOR_REMOTE_CONFIRMATION
        ReadEvent
    Case STATE_DATA_TRANSFER_XON
        If vtFullDuplex Then
            DoFullDuplex
        Else
            If vtSend > 0 Then
                If SendFrame() Then
                    vtSend = vtSend - 1
                End If
            End If
            b = ReceiveFrame()
        End If
    Case STATE_DATA_TRANSFER_XOFF
        b = ReceiveFrame()
    End Select
End Sub

Private Sub ProcessStop()
    UpdateTimer.Enabled = False
    vtRunning = False
End Sub

Private Sub UpdateTimer_Timer()
    SetElapsedTime
    ProcessState
End Sub

'******************************************************************************
'*                            Event and Data Operations
'******************************************************************************
Private Sub DoFullDuplex()
    Dim i As Integer

    i = 16

    Do While i > 0
        If Not ReceiveFrame() Then
            Exit Do
        End If
        i = i - 1
    Loop

    i = 8

    Do While i > 0
        If Not SendFrame() Then
            Exit Do
        End If
        i = i - 1
    Loop
End Sub

Private Sub ReadEvent()
    Dim result As Integer
    Dim size As Integer

    size = vtBufferMax
    result = lgo_Event(vtCid, vtInBuffer(0), size)

    UpdateSignals

    If result >= 0 Then
        Select Case result
        Case EVENT_DATA_LENGTH_ERROR
            LogReceiveFrame EVENT_DATA_LENGTH_ERROR, size
        Case EVENT_DATA_CRC_ERROR
            LogReceiveFrame EVENT_DATA_CRC_ERROR, size
        Case EVENT_DATA_ABORTED_FRAME
            LogReceiveFrame EVENT_DATA_ABORTED_FRAME, size
        Case Else
            Log "Event received: " & lgo_EventMessage(result)
            UpdateState
        End Select
    End If
End Sub

Private Function ReceiveFrame() As Boolean
    Dim result As Integer

    result = lgo_Read(vtCid, vtInBuffer(0), vtBufferMax)

    If result > 0 Then
        UpdateRx result
        LogReceiveFrame EVENT_DATA_OK, result
        ReceiveFrame = True
    ElseIf result = ERROR_EVENT_WAITING Then
        ReadEvent
        ReceiveFrame = False
    Else
        ReceiveFrame = False
    End If
End Function

Private Function SendFrame() As Boolean
    Dim result As Integer

    If vtTdatFrame < vtTdatCount Then
        SendFrame = SendTestFrame()
    ElseIf vtUseVtx Then
        SendFrame = SendVtxFrame()
    Else
        result = lgo_Write(vtCid, vtOutBuffer(0), vtFrameSize)

        If result > 0 Then
            UpdateTx vtFrameSize
            SendFrame = True
        Else
            SendFrame = False
        End If
    End If
End Function

Private Function SendVtxFrame() As Boolean
    Dim result As Integer
    Dim buffer() As Byte

    buffer = VtxGetTx(CLng(vtFrameSize))

    result = lgo_Write(vtCid, buffer(0), vtFrameSize)

    If result > 0 Then
        UpdateTx vtFrameSize
        VtxNextTx
        SendVtxFrame = True
    Else
        SendVtxFrame = False
    End If
End Function

Private Function SendTestFrame() As Boolean
    Dim result As Integer
    Dim buffer() As Byte
    Dim size As Integer

    buffer = TdatGetFrame(vtTdatFrame)
    size = TdatGetSize(vtTdatFrame)

    result = lgo_Write(vtCid, buffer(0), size)

    If result > 0 Then
        UpdateTx size
        vtTdatFrame = vtTdatCount
        SendTestFrame = True
    Else
        SendTestFrame = False
    End If
End Function

'******************************************************************************
'*                                  End of file                               *
'******************************************************************************
